# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.analytics
Class DataQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.analytics.DataQuery

    public class DataQuery

extends Query

Describes a query for the arbitrary data from an Analytics profile.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`DataQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`java.lang.String` `getDimensions()` Returns the comma separated list of row keys.
`java.lang.String` `getEndDate()` Returns the last day for which to retrieve data in form YYYY-MM-DD.
`java.lang.String` `getFilters()` Returns the dimension and metric filters.
`java.lang.String` `getIds()` Returns the Google Analytics profile ID, prefixed by 'ga:'.
`java.lang.String` `getMetrics()` Returns the comma separated list of numeric value fields.
`java.lang.String` `getSegment()` Returns the segment to be applied.
`java.lang.String` `getSort()` Returns the comma separated list of sort parameters in order of importance.
`java.lang.String` `getStartDate()` Returns the first day for which to retrieve data in form YYYY-MM-DD.
`void` `setDimensions(java.lang.String dimensions)` Sets the comma separated list of row keys.
`void` `setEndDate(java.lang.String endDate)` Sets the last day for which to retrieve data in form YYYY-MM-DD.
`void` `setFilters(java.lang.String filters)` Sets the dimension and metric filters.
`void` `setIds(java.lang.String ids)` Sets the Google Analytics profile ID, prefixed by 'ga:'.
`void` `setMetrics(java.lang.String metrics)` Sets the comma separated list of numeric value fields.
`void` `setSegment(java.lang.String segment)` Sets the segment to be applied.
`void` `setSort(java.lang.String sort)` Sets the comma separated list of sort parameters in order of importance.
`void` `setStartDate(java.lang.String startDate)` Sets the first day for which to retrieve data in form YYYY-MM-DD.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataQuery

    public DataQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getDimensions

    public java.lang.String getDimensions()

  Returns the comma separated list of row keys.

  Returns:
    comma separated list of row keys or `null` to indicate that the parameter is not set.

### setDimensions

    public void setDimensions(java.lang.String dimensions)

  Sets the comma separated list of row keys.

  Parameters:
    `dimensions` - comma separated list of row keys or `null` to remove this parameter if set.

### getEndDate

    public java.lang.String getEndDate()

  Returns the last day for which to retrieve data in form YYYY-MM-DD.

  Returns:
    last day for which to retrieve data in form YYYY-MM-DD or `null` to indicate that the parameter is not set.

### setEndDate

    public void setEndDate(java.lang.String endDate)

  Sets the last day for which to retrieve data in form YYYY-MM-DD.

  Parameters:
    `endDate` - last day for which to retrieve data in form YYYY-MM-DD or `null` to remove this parameter if set.

### getFilters

    public java.lang.String getFilters()

  Returns the dimension and metric filters.

  Returns:
    dimension and metric filters or `null` to indicate that the parameter is not set.

### setFilters

    public void setFilters(java.lang.String filters)

  Sets the dimension and metric filters.

  Parameters:
    `filters` - dimension and metric filters or `null` to remove this parameter if set.

### getIds

    public java.lang.String getIds()

  Returns the Google Analytics profile ID, prefixed by 'ga:'.

  Returns:
    Google Analytics profile ID, prefixed by 'ga:' or `null` to indicate that the parameter is not set.

### setIds

    public void setIds(java.lang.String ids)

  Sets the Google Analytics profile ID, prefixed by 'ga:'.

  Parameters:
    `ids` - Google Analytics profile ID, prefixed by 'ga:' or `null` to remove this parameter if set.

### getMetrics

    public java.lang.String getMetrics()

  Returns the comma separated list of numeric value fields.

  Returns:
    comma separated list of numeric value fields or `null` to indicate that the parameter is not set.

### setMetrics

    public void setMetrics(java.lang.String metrics)

  Sets the comma separated list of numeric value fields.

  Parameters:
    `metrics` - comma separated list of numeric value fields or `null` to remove this parameter if set.

### getSegment

    public java.lang.String getSegment()

  Returns the segment to be applied.

  Returns:
    segment to be applied or `null` to indicate that the parameter is not set.

### setSegment

    public void setSegment(java.lang.String segment)

  Sets the segment to be applied.

  Parameters:
    `segment` - segment to be applied or `null` to remove this parameter if set.

### getSort

    public java.lang.String getSort()

  Returns the comma separated list of sort parameters in order of importance.

  Returns:
    comma separated list of sort parameters in order of importance or `null` to indicate that the parameter is not set.

### setSort

    public void setSort(java.lang.String sort)

  Sets the comma separated list of sort parameters in order of importance.

  Parameters:
    `sort` - comma separated list of sort parameters in order of importance or `null` to remove this parameter if set.

### getStartDate

    public java.lang.String getStartDate()

  Returns the first day for which to retrieve data in form YYYY-MM-DD.

  Returns:
    first day for which to retrieve data in form YYYY-MM-DD or `null` to indicate that the parameter is not set.

### setStartDate

    public void setStartDate(java.lang.String startDate)

  Sets the first day for which to retrieve data in form YYYY-MM-DD.

  Parameters:
    `startDate` - first day for which to retrieve data in form YYYY-MM-DD or `null` to remove this parameter if set.